com.mysql.cj.xdevapi

## Enum FilterParams.RowLock

- java.lang.Object
- - java.lang.Enum<FilterParams.RowLock>
  - - com.mysql.cj.xdevapi.FilterParams.RowLock

All Implemented Interfaces:
  Serializable, Comparable<FilterParams.RowLock>

Enclosing interface:
  FilterParams

    public static enum FilterParams.RowLock
    extends Enum<FilterParams.RowLock>

The type of row lock.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXCLUSIVE_LOCK` Lock matching rows so no other transactions can read or write to it.
`SHARED_LOCK` Lock matching rows against updates.

### Field Summary

Fields
`private int` `rowLock`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `asNumber()` Get the row lock type id.
`static FilterParams.RowLock` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FilterParams.RowLock[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SHARED_LOCK

    public static final FilterParams.RowLock SHARED_LOCK

Lock matching rows against updates.

#### EXCLUSIVE_LOCK

    public static final FilterParams.RowLock EXCLUSIVE_LOCK

Lock matching rows so no other transactions can read or write to it.

### Field Detail

#### rowLock

    private int rowLock

### Method Detail

#### values

    public static FilterParams.RowLock[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FilterParams.RowLock c : FilterParams.RowLock.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FilterParams.RowLock valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### asNumber

    public int asNumber()

Get the row lock type id.

Returns:
  row lock type id

Copyright © 2016, 2022, Oracle and/or its affiliates.